package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.biz.dal.enums.GoodsType;

/**
 * 对应数据库表(subject_plan_goods_mapper):
 */
public class SubjectGoodsMapper {

	/**  */
	private Long id;

	/**  */
	@ApiModelProperty(value = "科目编号", required = false)
	private String subjectId;
	
	/** 类型(乐器、辅件、教材) */
	@ApiModelProperty(value = "商品类型",required = false)
	private GoodsType type;

	/**  */
	@ApiModelProperty(value = "商品分类编号", required = false)
	private Integer goodsCategoryId;
	
	/** 商品列表(用逗号,分开) */
	@ApiModelProperty(value = "商品列表(用逗号,分开)",required = false)
	private String goodsIdList;

	@ApiModelProperty(value = "删除标记，删除时传true，其他传null", required = false)
	private boolean delFlag = false;

	/**  */
	private java.util.Date createTime;

	/**  */
	private java.util.Date updateTime;

	public boolean getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(boolean delFlag) {
		this.delFlag = delFlag;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return this.id;
	}

	public void setSubjectId(String subjectId) {
		this.subjectId = subjectId;
	}

	public String getSubjectId() {
		return this.subjectId;
	}

	public Integer getGoodsCategoryId() {
		return goodsCategoryId;
	}

	public void setGoodsCategoryId(Integer goodsCategoryId) {
		this.goodsCategoryId = goodsCategoryId;
	}

	public void setCreateTime(java.util.Date createTime) {
		this.createTime = createTime;
	}

	public java.util.Date getCreateTime() {
		return this.createTime;
	}

	public void setUpdateTime(java.util.Date updateTime) {
		this.updateTime = updateTime;
	}

	public java.util.Date getUpdateTime() {
		return this.updateTime;
	}

	public GoodsType getType() {
		return type;
	}

	public void setType(GoodsType type) {
		this.type = type;
	}

	public String getGoodsIdList() {
		return goodsIdList;
	}

	public void setGoodsIdList(String goodsIdList) {
		this.goodsIdList = goodsIdList;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
